Bug 673027 - Review Request: manchu-fonts - A Manchu OpenType (TrueType-flavored) font
Summary: Review Request: manchu-fonts - A Manchu OpenType (TrueType-flavored) font
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-27 05:35 UTC by Peng Wu
Modified: 2011-03-08 02:22 UTC (History)
6 users (show)

Fixed In Version: manchu-fonts-2.006-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-07 20:58:04 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Peng Wu 2011-01-27 05:35:06 UTC
Spec URL: http://pwu.fedorapeople.org/ManchuFont2005/manchu-fonts.spec
SRPM URL: http://pwu.fedorapeople.org/ManchuFont2005/manchu-fonts-2.006-1.fc14.src.rpm
Description:
A Manchu OpenType (TrueType-flavored) font
which allows you write and read Manchu script articles correctly.

Comment 1 Parag AN(पराग) 2011-01-28 05:27:28 UTC
1) I think good to add simple fontconfig rule.
2) also following are not needed now
   * %clean section
   * removal of buildroot in %install

Comment 2 Peng Wu 2011-01-30 06:52:49 UTC
Thanks, a simple fontconfig rule is added and the spec file is cleaned.
Here are the new spec file and source rpm:
Spec URL: http://pwu.fedorapeople.org/ManchuFont2005/manchu-fonts.spec
SRPM URL: http://pwu.fedorapeople.org/ManchuFont2005/manchu-fonts-2.006-2.fc14.src.rpm

Comment 3 Parag AN(पराग) 2011-01-31 06:19:05 UTC
1)Please include documentation also. I missed to address it in my last comment.
%doc GNU\ GENERAL\ PUBLIC\ LICENSE.txt

This will make rpmlint to complain wrong-file-end-of-line-encoding. Fix it in %prep
sed -i 's/\r//' GNU\ GENERAL\ PUBLIC\ LICENSE.txt


2) Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=2751515

APPROVED.

Comment 4 Peng Wu 2011-02-10 02:51:25 UTC
New Package SCM Request
=======================
Package Name: manchu-fonts
Short Description: A Manchu OpenType (TrueType-flavored) font
Owners: pwu
Branches: f13 f14 f15 el4 el5 el6
InitialCC: i18n-team petersen jamesni

Comment 5 Jason Tibbitts 2011-02-10 14:00:37 UTC
It is too early to request f15 branches.  Otherwise,

Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-03-03 06:09:35 UTC
Package manchu-fonts-2.006-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing manchu-fonts-2.006-3.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/manchu-fonts-2.006-3.fc14
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-03-03 06:09:42 UTC
Package manchu-fonts-2.006-3.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing manchu-fonts-2.006-3.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/manchu-fonts-2.006-3.fc13
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-03-03 06:09:50 UTC
Package manchu-fonts-2.006-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing manchu-fonts-2.006-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/manchu-fonts-2.006-3.fc15
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-03-04 09:51:43 UTC
manchu-fonts-2.006-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update manchu-fonts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/manchu-fonts-2.006-3.fc13

Comment 10 Fedora Update System 2011-03-07 20:57:51 UTC
manchu-fonts-2.006-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-07 21:07:02 UTC
manchu-fonts-2.006-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-08 02:22:12 UTC
manchu-fonts-2.006-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.